package com.fasga.rs.bot;

import org.objectweb.asm.tree.ClassNode;

import com.fasga.rs.bot.deobfuscate.Deobfuscator;
import com.fasga.rs.bot.transform.Transformer;
import com.fasga.rs.bot.util.JARAdapter;

public class Main {
	public static void main(String[] args) throws Exception {		
		JARAdapter jar = new JARAdapter();
		ClassNode[] classes = jar.loadClasses("rs/460.jar");
		
		System.out.println("Finished loading " + classes.length + " classes.\n");

		Deobfuscator.run(classes);
		Transformer.run(classes);
		
		jar.dumpClasses("rs/460_out.jar", classes);
	}
}
